routes/web.php
<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', function () {
    return view('welcome');
});

Route::resource('artist', 'ArtistController');
Route::resource('movie', 'MovieController');
Route::resource('cinema', 'CinemaController');
Route::resource('room', 'RoomController');

Auth::routes();

Route::get('/home', 'HomeController@index')->name('home');

app/Models/Cinema.php
<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class Cinema extends Model
{
    protected $fillable = [
        'name', 'street', 'postcode', 'city', 'country'
    ];

    public function has_movies()
    {
        return $this->hasMany('App\Models\Movie');
    }

    public function has_rooms()
    {
        return $this->hasMany('App\Models\Room');
    }
}

app/Http/Controllers/CinemaController.php
<?php

namespace App\Http\Controllers;

use \App\Models\Cinema;
use \App\Http\Requests\CinemaRequest;

use Illuminate\Http\Request;

class CinemaController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        return view('cinemas.index', ['cinemas' => Cinema::paginate(4)]);
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        return view('cinemas.create');
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(CinemaRequest $request)
    {
        Cinema::create($request->all());
        return redirect()->route('cinema.create')
            ->with('ok', __('Cinema has been saved'));
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit(Cinema $cinema)
    {
        return view('cinemas.edit', ['cinema' => $cinema]);
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(CinemaRequest $request, Cinema $cinema)
    {
        $cinema->update($request->all());

        return redirect()->route('cinema.index')
            ->with('ok', __('Cinema has been updated'));
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy(Cinema $cinema)
    {
        $cinema->delete();
        return response()->json();
    }
    public function __construct()
    {
        $this->middleware('ajax')->only('destroy');
    }
}

resources/views/cinemas/create.blade.php
@extends('layouts.app')

@section('title', 'Create Cinema')

@section('content')

<div class="container" style="margin-top: 10em; width: 30%;">
  <p><a href="{{ route('cinema.index') }}">Go back</a></p>
  <h1>Create new cinema</h1>

  <form method="POST" action="{{ route('cinema.store') }}">
    {{ csrf_field() }}
    
    <div class="form-group">
      <label for="name">Name</label>
      <input type="text"
        name="name"
        id="name"
        class="form-control"
        required
      />
    </div>

    <div class="form-group form-check">
      <label for="street">Street</label>
      <input 
        type="text"
        name="street"
        id="street"
        class="form-control"
        required
      />
    </div>

    <div class="form-group form-check">
      <label for="postcode">Postcode</label>
      <input 
        type="text"
        name="postcode"
        id="postcode"
        class="form-control"
        required
      />
    </div>

    <div class="form-group form-check">
      <label for="city">City</label>
      <input 
        type="text"
        name="city"
        id="city"
        class="form-control"
        required
      />
    </div>

    <div class="form-group form-check">
      <label for="country">Country</label>
      <input 
        type="text"
        name="country"
        id="country"
        class="form-control"
        required
      />
    </div>

    <button type="submit" class="btn btn-primary">Submit</button>
  </form>
</div>
@endsection

resources/views/cinemas/edit.blade.php
@extends('layouts.app')

@section('title', 'Cinema Name')

@section('content')

<div class="container" style="margin-top: 10em; width: 30%;">

  <form method="POST" action="{{ route('cinema.update', $cinema->id) }}">
    {{ csrf_field() }}
    {{ method_field('PUT') }}
    <p><a href="{{ route('cinema.index') }}">Go back</a></p>

    <div class="form-group">
      <label for="name">Name</label>
      <input type="text"
        name="name"
        id="name"
        class="form-control"
        value="{{ $cinema->name}}" 
        required
      />
    </div>

    <div class="form-group form-check">
      <label for="street">Street</label>
      <input 
        type="text"
        name="street"
        id="street"
        class="form-control"
        value="{{ $cinema->street}}" 
        required
      />
    </div>

    <div class="form-group form-check">
      <label for="postcode">Postcode</label>
      <input 
        type="text"
        name="postcode"
        id="postcode"
        class="form-control"
        value="{{ $cinema->postcode}}" 
        required
      />
    </div>

    <div class="form-group form-check">
      <label for="city">City</label>
      <input 
        type="text"
        name="city"
        id="city"
        class="form-control"
        value="{{ $cinema->city}}" 
        required
      />
    </div>

    <div class="form-group form-check">
      <label for="country">Country</label>
      <input 
        type="text"
        name="country"
        id="country"
        class="form-control"
        value="{{ $cinema->country}}" 
        required
      />
    </div>

    <button type="submit" class="btn btn-primary">Submit</button>
  </form>
</div>
@endsection

resources/views/cinemas/index.blade.php
@extends('layouts.app')

@section('content')
<div class="container mx-auto" style="width: 800px; margin-top:50px">
  <h1>List of cinemas</h1>
  <h4 style="padding-bottom:30px"><a href ="{{ route('cinema.create')}}">Create new cinema</a></h4>
  <table class="table table-stpied table-centered">
    <thead>
      <tr>
        <th>{{__('Name')}}</th>
        <th>{{__('Street')}}</th>
        <th>{{__('Postcode')}}</th>
        <th>{{__('City')}}</th>
        <th>{{__('Country')}}</th>
      </tr>
    </thead>
    <tbody>
      @foreach($cinemas as $cinema)
      <tr>
        <td>{{ $cinema->name }}</td>
        <td>{{ $cinema->street }}</td>
        <td>{{ $cinema->postcode }}</td>
        <td>{{ $cinema->city }}</td>
        <td>{{ $cinema->country }}</td>
        <td>
          <a type="button" 
            href="{{ route('cinema.edit', $cinema->id )}}" 
            class="btn"
            data-toggle="tooltip"
            title="@lang('Edit cinema') {{ $cinema->name }}">
            Edit <i class="fas fa-edit"></i>
          </a>
          <a type="button" 
            href="{{ route('cinema.destroy', $cinema->id )}}" 
            class="btn-delete"
            title="@lang('Delete cinema') {{ $cinema->name }}">
            Delete <i class="fas fa-trash-alt"></i>
          </a>
        </td>
      </tr>
      @endforeach
    </tbody>
  </table>

</div>

<!--pagination pour changer de page-->
{{ $cinemas->appends(request()->except('page'))->links() }}
</div>
  <!--securité + onclick btn delete-->
<script>
  $.ajaxSetup({
    headers: {'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')}
  })

  $(document).on('click', '.btn-delete', function(){

    let button = $(this);

    $.ajax ({
      url: $(this).attr('href'),
      type: 'DELETE'
    }).done(function(){
      $(button).closest('tr').remove();
    });
    return false;
  });
</script>

@endsection